import React, { CSSProperties } from 'react';
import { EditorView, EditorProps } from 'prosemirror-view';
import { EditorState, Transaction } from 'prosemirror-state';
export interface Handle {
    view: EditorView | null;
}
interface PropsBase extends EditorProps {
    state: EditorState;
    style?: CSSProperties;
    className?: string;
}
interface PropsWithOnChange {
    onChange: (state: EditorState) => void;
    dispatchTransaction?: never;
}
interface PropsWithDispatchTransaction {
    dispatchTransaction: (transaction: Transaction) => void;
    onChange?: never;
}
declare const _default: React.ForwardRefExoticComponent<(PropsBase & PropsWithOnChange & React.RefAttributes<Handle>) | (PropsBase & PropsWithDispatchTransaction & React.RefAttributes<Handle>)>;
export default _default;
